com.brightcove.player.captioning

## Interface BrightcoveCaptionStyle.Builder

- Enclosing class:
    BrightcoveCaptionStyle

      public static interface BrightcoveCaptionStyle.Builder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BrightcoveCaptionStyle.Builder` | `backgroundColor(int backgroundColor)`
    `BrightcoveCaptionStyle.Builder` | `backgroundOpacity(int backgroundOpacity)`
    `BrightcoveCaptionStyle` | `build()`
    `BrightcoveCaptionStyle.Builder` | `edgeColor(int edgeColor)`
    `BrightcoveCaptionStyle.Builder` | `edgeType(int edgeType)`
    `BrightcoveCaptionStyle.Builder` | `fontSize(java.lang.String fontSize)`
    `BrightcoveCaptionStyle.Builder` | `foregroundColor(int foregroundColor)`
    `BrightcoveCaptionStyle.Builder` | `foregroundOpacity(int foregroundOpacity)`
    `BrightcoveCaptionStyle.Builder` | `preset(int preset)`
    `BrightcoveCaptionStyle.Builder` | `typeface(java.lang.String typeface)`
    `BrightcoveCaptionStyle.Builder` | `windowColor(int windowColor)`
    `BrightcoveCaptionStyle.Builder` | `windowOpacity(int windowOpacity)`

- - ### Method Detail

    - #### preset

          BrightcoveCaptionStyle.Builder preset(int preset)

    - #### fontSize

          BrightcoveCaptionStyle.Builder fontSize(java.lang.String fontSize)

    - #### typeface

          BrightcoveCaptionStyle.Builder typeface(java.lang.String typeface)

    - #### foregroundColor

          BrightcoveCaptionStyle.Builder foregroundColor(int foregroundColor)

    - #### foregroundOpacity

          BrightcoveCaptionStyle.Builder foregroundOpacity(int foregroundOpacity)

    - #### edgeType

          BrightcoveCaptionStyle.Builder edgeType(int edgeType)

    - #### edgeColor

          BrightcoveCaptionStyle.Builder edgeColor(int edgeColor)

    - #### backgroundColor

          BrightcoveCaptionStyle.Builder backgroundColor(int backgroundColor)

    - #### backgroundOpacity

          BrightcoveCaptionStyle.Builder backgroundOpacity(int backgroundOpacity)

    - #### windowColor

          BrightcoveCaptionStyle.Builder windowColor(int windowColor)

    - #### windowOpacity

          BrightcoveCaptionStyle.Builder windowOpacity(int windowOpacity)

    - #### build

          BrightcoveCaptionStyle build()